All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.taglib.servlet.tbeans.dataselectors
Class OLAPMenuBarTag

    com.sas.taglib.servlet.tbeans.dataselectors.OLAPMenuBarTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag, javax.servlet.jsp.tagext.TryCatchFinally

    public class OLAPMenuBarTag

OLAPMenuBarTag is the tag handler class for the sas:OLAPMenuBar custom tag . OLAPMenuBarTag is invoked by the JSP page to evaluate the sas:OLAPMenuBar custom tag during the execution of the page. Tag handler methods are called by the JSP page implementation class at various points during the evaluation of the tag. The tag handler methods in turn call methods on the underlying Transformation Bean object, OLAPMenuBar, to execute the methods.

If you need to extend or modify the functionality of the sas:OLAPMenuBar custom tag, you can subclass this tag handler class.

For More Information:

Visit the AppDev Studio Developer's Site to access step-by-step examples, white papers and additional usage information at http://support.sas.com/rnd/appdev/.

Refer to the Custom Tag Library Reference for usage information on the sas:OLAPMenuBar custom tag.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site.

See Also:
  `OLAPMenuBar`, Serialized Form

Field Summary

Fields inherited from class com.sas.taglib.servlet.tbeans.dataselectors.ActionProviderMenuBarTag
`RB_KEY`

Fields inherited from class com.sas.taglib.BaseBodyTag
`DELIMITERS`

Constructor Summary
`OLAPMenuBarTag()`

Method Summary
`protected void` | `applyAttributes()` Sets the attributes on the underlying MenuBar object.
`int` | `doEndTag()` Process the end tag.
`int` | `doStartTag()` Processes the start tag for this instance.
`java.lang.String` | `getModel()` Gets the model property (String).
`protected void` | `initialize(boolean includeAttributes)` Initializes attributes and variables for this tag handler.
`void` | `setModel(java.lang.String model)` Sets the model property (String).

Methods inherited from class com.sas.taglib.servlet.tbeans.dataselectors.ActionProviderMenuBarTag
`getBorderWidth, getCellPadding, getCellSpacing, getHeight, getHeightPercentage, getLeftImage, getMenuType, getRightImage, getSeparator, getSeparatorImage, getStyleClassPrefix, getTarget, getWidth, getWidthPercentage, isHorizontalOrientation, setBorderWidth, setCellPadding, setCellSpacing, setHeight, setHeightPercentage, setHorizontalOrientation, setLeftImage, setMenuType, setRightImage, setSeparator, setSeparatorImage, setStyleClassPrefix, setTarget, setWidth, setWidthPercentage`

Methods inherited from class com.sas.taglib.servlet.tbeans.BaseActionTransformationBodyTag
`getActionProvider, setActionProvider`

Methods inherited from class com.sas.taglib.servlet.tbeans.BaseTransformationBodyTag
`getCustomAttributes, getEpilog, getLocale, getName, getObjectDataProperty, getProlog, getRender, getRenderType, setCustomAttributes, setEpilog, setLocale, setName, setObjectDataProperty, setProlog, setRender, setRenderType`

Methods inherited from class com.sas.taglib.BaseBodyTag
`doCatch, doFinally, getApplyAttributes, getBodyStrings, getCompositeComponentKey, getInstantiate, getPageContext, getRef, getScope, getTagScope, getWrappedClassName, getWrappedObject, getWrappedObject, loadBeanInstance, newInstance, release, removeFromScope, searchContext, setApplyAttributes, setCompositeComponentKey, setInstantiate, setRef, setScope, setTagScope, setVariableWithinScope, setWrappedClassName, setWrappedObject, validate`

Constructor Detail

### OLAPMenuBarTag

    public OLAPMenuBarTag()

Method Detail

### initialize

    protected void initialize(boolean includeAttributes)

  Initializes attributes and variables for this tag handler.

  Overrides:
    `initialize` in class `ActionProviderMenuBarTag`
  Parameters:
    `includeAttributes` - Set to true if attributes are to be set to default values.

### setModel

    public void setModel(java.lang.String model)

  Sets the model property (String). The model String is used to find the model

  Parameters:
    `model` - the model String

### getModel

    public java.lang.String getModel()

  Gets the model property (String).

  Returns:
    the model String

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Processes the start tag for this instance. The doStartTag() method assumes that all setter methods have been invoked before. When this method is invoked, the body has not yet been invoked.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `BaseTransformationBodyTag`
  Returns:
    int designating the next course of action for the tag/jsp page.
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if a JspException occurs.
  See Also:
    `BaseBodyTag.setInstantiate(boolean)`, `TagSupport.doStartTag()`

### applyAttributes

    protected void applyAttributes()
                            throws javax.servlet.jsp.JspException

  Sets the attributes on the underlying MenuBar object.

  Overrides:
    `applyAttributes` in class `ActionProviderMenuBarTag`
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if a JspException occurs.

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Process the end tag. This method will be called on all Tag objects.

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `BaseTransformationBodyTag`
  Returns:
    int designating the next course of action for the tag/jsp page.
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if a JspException occurs.
  See Also:
    `TagSupport.doEndTag()`, `BaseBodyTag.setInstantiate(boolean)`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.